<?php

/**
 * @file
 * Contains \Drupal\ek_jitsi\Form\Join
 */

namespace Drupal\ek_jitsi\Form;

use Drupal\Core\Form\FormBase;
use Drupal\Core\Form\FormStateInterface;
use Drupal\Core\Ajax\AjaxResponse;
use Drupal\Core\Ajax\InvokeCommand;

/**
 * Provides a form for ek_jitsi join room.
 */
class Join extends FormBase
{

    /**
     * {@inheritdoc}
     */
    public function getFormId()
    {
        return 'ek_jitsi_join_room';
    }

    /**
     * {@inheritdoc}
     */
    public function buildForm(array $form, FormStateInterface $form_state)
    {
        $form['room'] = array(
            '#type' => 'textfield',
            '#id' => 'roomname',
            '#size' => 25,
            '#title' => $this->t('Join existing meeting'),
            '#attributes' => ['placeholder' => $this->t('Enter room name to join')],
            '#required' => false,
            '#prefix' => '<div class="container-inline">',
            
        );

        $form['actions'] = array(
            '#type' => 'actions',
        );
       
        $form['actions']['submit'] = array(
            '#type' => 'submit',
            '#value' => $this->t('Join'),
            '#suffix' => '</div>',
            '#ajax' => array(
              'callback' => array($this, 'open'),
             ),
        );

        $form['item'] = array(
            '#type' => 'item',
            '#markup' => "<a id='joinroom' href='#'></a>",
        );
        
        
        return $form;
    }

    
    /**
     * Ajax callback
     */
    public function open(array &$form, FormStateInterface $form_state)
    {
        $response = new AjaxResponse();
        $response->addCommand(new InvokeCommand('#joinroom', 'click', []));
        return $response;
    }
    
    /**
     * {@inheritdoc}
     */
    public function validateForm(array &$form, FormStateInterface $form_state)
    {
    }

    /**
     * {@inheritdoc}
     */
    public function submitForm(array &$form, FormStateInterface $form_state)
    {
    }

    //end class
}
